<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/acmp.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">acmp.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/df1/acmp_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">   55</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">ACMP_Open</a>(<a class="code hl_struct" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *Acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>{</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    Acmp-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8d835ee4132082a088bc7481e600ab7">CR</a>[u32ChNum] = (Acmp-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8d835ee4132082a088bc7481e600ab7">CR</a>[u32ChNum] &amp; ~ACMP_CR_CN_Msk) | (u32NegSrc&gt;&gt;24)&lt;&lt;<a class="code hl_define" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gae6c07719b0ea0d0f5ae9f5b45d321e76">ACMP_CR_CN_Pos</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="keywordflow">if</span>((u32NegSrc&amp;(0xFFUL&lt;&lt;24))==<a class="code hl_define" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">ACMP_CR_CN_CRV</a>)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        Acmp-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac76855ed7d26898428b9eb077c0c92d9">RVCR</a> = (Acmp-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac76855ed7d26898428b9eb077c0c92d9">RVCR</a> &amp; ~<a class="code hl_define" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga2147840a0297ca343315ec1de2726f16">ACMP_RVCR_CRVS_Msk</a>) | (u32NegSrc &amp; 0x00FFFFFF) | <a class="code hl_define" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga38cbcde0c3bdb6267835b3195f3557ed">ACMP_RVCR_CRV_EN_Msk</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    Acmp-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8d835ee4132082a088bc7481e600ab7">CR</a>[u32ChNum] = (Acmp-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8d835ee4132082a088bc7481e600ab7">CR</a>[u32ChNum] &amp; ~ACMP_CR_ACMP_HYSEN_Msk) | u32HysteresisEn;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    Acmp-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8d835ee4132082a088bc7481e600ab7">CR</a>[u32ChNum] |= <a class="code hl_define" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga2c40b14cb5a1c1ece531ff30f3e5340f">ACMP_CR_ACMPEN_Msk</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>}</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">   71</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">ACMP_Close</a>(<a class="code hl_struct" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *Acmp, uint32_t u32ChNum)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>{</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    Acmp-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8d835ee4132082a088bc7481e600ab7">CR</a>[u32ChNum] &amp;= ~ACMP_CR_ACMPEN_Msk;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>}</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">  102</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">ACMP_SetSigmaDeltaConv</a>(uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>{</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] =(<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] &amp; ~ACMP_CR_CPP0SEL_Msk) | u32PosPin;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] &amp;= ~ACMP_CR_CPO0_SEL_Msk;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] &amp;= ~ACMP_CR_ACMP0_INV_Msk;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] |=  <a class="code hl_define" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga1ceab84a400fae03d0d03475afbc9bb8">ACMP_CR_ACOMP0_PN_AutoEx_Msk</a>; <span class="comment">//Auto Exchange Enabled</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] |= <a class="code hl_define" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gadc5f034634ddffb3acbebfaf82d334cb">ACMP_CR_ACMP0_FILTER_Msk</a>; <span class="comment">//Enable internal RC filter</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 &amp; ~ACMP_MODCR0_TMR_SEL_Msk) | (u32TimerNum);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 &amp; ~ACMP_MODCR0_MOD_SEL_Msk)| <a class="code hl_define" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga274862a77f3850558288b7f9e7869700">ACMP_MODCR0_MOD_SEL_SIGAMA_DELTA</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 &amp; ~ACMP_MODCR0_TMR_TRI_LV_Msk) | u32TriggerPolarity;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 &amp; ~ACMP_MODCR0_CH_DIS_PIN_SEL_Msk)  | u32ChargePin ;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>}</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">  142</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">ACMP_SetSlopeConv</a>(uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>{</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] =(<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] &amp; ~ACMP_CR_CPP0SEL_Msk) | u32PosPin;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CR[0] &amp;= ~ACMP_CR_CPO0_SEL_Msk ; <span class="comment">/* Comparator output is from internal path */</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 &amp; ~ACMP_MODCR0_TMR_SEL_Msk) | u32TimerNum;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 &amp; ~ACMP_MODCR0_MOD_SEL_Msk)| <a class="code hl_define" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd2a6986c27091d994019ac9f6097352">ACMP_MODCR0_MOD_SEL_SLOPE</a>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 &amp; ~ACMP_MODCR0_TMR_TRI_LV_Msk) | u32TriggerPolarity;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;MODCR0 &amp; ~ACMP_MODCR0_CH_DIS_PIN_SEL_Msk)  | u32ChargePin ; <span class="comment">/* A Pin Can Only Do Discharging Work */</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>}</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> <span class="comment">/* end of group NANO1X2_ACMP_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> <span class="comment">/* end of group NANO1X2_ACMP_Driver */</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>}</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga274862a77f3850558288b7f9e7869700"><div class="ttname"><a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga274862a77f3850558288b7f9e7869700">ACMP_MODCR0_MOD_SEL_SIGAMA_DELTA</a></div><div class="ttdeci">#define ACMP_MODCR0_MOD_SEL_SIGAMA_DELTA</div><div class="ttdoc">The comparator mode select sigma-delta mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2f/acmp_8h_source.html#l00060">acmp.h:60</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaac02c4255fa5fff6508dbaea342bc59b"><div class="ttname"><a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">ACMP_CR_CN_CRV</a></div><div class="ttdeci">#define ACMP_CR_CN_CRV</div><div class="ttdoc">The internal comparator reference voltage (CRV) is selected.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2f/acmp_8h_source.html#l00034">acmp.h:34</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gabd2a6986c27091d994019ac9f6097352"><div class="ttname"><a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd2a6986c27091d994019ac9f6097352">ACMP_MODCR0_MOD_SEL_SLOPE</a></div><div class="ttdeci">#define ACMP_MODCR0_MOD_SEL_SLOPE</div><div class="ttdoc">The comparator mode select slope mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2f/acmp_8h_source.html#l00061">acmp.h:61</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga032491a1eaec095524ca772e101bbc00"><div class="ttname"><a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">ACMP_SetSigmaDeltaConv</a></div><div class="ttdeci">void ACMP_SetSigmaDeltaConv(uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</div><div class="ttdoc">This function configure ACMP to sigma-delta mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00102">acmp.c:102</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27fe67fe691fb1142b7f383b2e9986d1"><div class="ttname"><a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">ACMP_Close</a></div><div class="ttdeci">void ACMP_Close(ACMP_T *, uint32_t u32ChNum)</div><div class="ttdoc">This function close comparator.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00071">acmp.c:71</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7505028ec73e3c2360b07efd08a61b14"><div class="ttname"><a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">ACMP_Open</a></div><div class="ttdeci">void ACMP_Open(ACMP_T *, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</div><div class="ttdoc">This function open and configure comparator parameters.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00055">acmp.c:55</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac937fcc295fb0019f6b5bacbbbd63c58"><div class="ttname"><a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">ACMP_SetSlopeConv</a></div><div class="ttdeci">void ACMP_SetSlopeConv(uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</div><div class="ttdoc">This function configure ACMP to slope mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00142">acmp.c:142</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga8b90783a67cca84746999e2d4dfc735c"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a></div><div class="ttdeci">#define ACMP</div><div class="ttdoc">Pointer to ACMP register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10648">Nano1X2Series.h:10648</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___peripherals_html_ga1ceab84a400fae03d0d03475afbc9bb8"><div class="ttname"><a href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga1ceab84a400fae03d0d03475afbc9bb8">ACMP_CR_ACOMP0_PN_AutoEx_Msk</a></div><div class="ttdeci">#define ACMP_CR_ACOMP0_PN_AutoEx_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00315">Nano1X2Series.h:315</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___peripherals_html_ga2147840a0297ca343315ec1de2726f16"><div class="ttname"><a href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga2147840a0297ca343315ec1de2726f16">ACMP_RVCR_CRVS_Msk</a></div><div class="ttdeci">#define ACMP_RVCR_CRVS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00342">Nano1X2Series.h:342</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___peripherals_html_ga2c40b14cb5a1c1ece531ff30f3e5340f"><div class="ttname"><a href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga2c40b14cb5a1c1ece531ff30f3e5340f">ACMP_CR_ACMPEN_Msk</a></div><div class="ttdeci">#define ACMP_CR_ACMPEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00297">Nano1X2Series.h:297</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___peripherals_html_ga38cbcde0c3bdb6267835b3195f3557ed"><div class="ttname"><a href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga38cbcde0c3bdb6267835b3195f3557ed">ACMP_RVCR_CRV_EN_Msk</a></div><div class="ttdeci">#define ACMP_RVCR_CRV_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00345">Nano1X2Series.h:345</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___peripherals_html_gadc5f034634ddffb3acbebfaf82d334cb"><div class="ttname"><a href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gadc5f034634ddffb3acbebfaf82d334cb">ACMP_CR_ACMP0_FILTER_Msk</a></div><div class="ttdeci">#define ACMP_CR_ACMP0_FILTER_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00318">Nano1X2Series.h:318</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___peripherals_html_gae6c07719b0ea0d0f5ae9f5b45d321e76"><div class="ttname"><a href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gae6c07719b0ea0d0f5ae9f5b45d321e76">ACMP_CR_CN_Pos</a></div><div class="ttdeci">#define ACMP_CR_CN_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00305">Nano1X2Series.h:305</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gaa8d835ee4132082a088bc7481e600ab7"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8d835ee4132082a088bc7481e600ab7">ACMP_T::CR</a></div><div class="ttdeci">__IO uint32_t CR[2]</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00206">Nano1X2Series.h:206</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gac76855ed7d26898428b9eb077c0c92d9"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac76855ed7d26898428b9eb077c0c92d9">ACMP_T::RVCR</a></div><div class="ttdeci">__IO uint32_t RVCR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00249">Nano1X2Series.h:249</a></div></div>
<div class="ttc" id="astruct_a_c_m_p___t_html"><div class="ttname"><a href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00156">Nano1X2Series.h:157</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
